JoshK JoshK - 3 months ago 69
R Question

Installing R on EC2 RHEL 7

Has anyone had any luck on the AWS/EC2 RHEL 7.2?

I ran

sudo yum install -y epel-release
to get access to the EPEL packages.
Next I tried
sudo yum install R
but it fails with:

Error: Package: R-core-devel-3.3.1-1.el7.x86_64 (epel)
Requires: texinfo-tex


I saw people mentioning for that you need to allow optional packages to get
texinfo-tex
, but none of that seems to work on AWS. For example, I tried this to no avail:
sudo yum --enablerepo=rhel-7-server-optional-rpms install R


If I try:
sudo yum --skip-broken install R
then it fails with this message:

Packages skipped because of dependency problems:
GConf2-3.2.6-8.el7.x86_64 from rhui-REGION-rhel-server-releases
R-3.3.1-1.el7.x86_64 from epel
R-core-3.3.1-1.el7.x86_64 from epel
R-core-devel-3.3.1-1.el7.x86_64 from epel
R-devel-3.3.1-1.el7.x86_64 from epel
R-java-devel-3.3.1-1.el7.x86_64 from epel
bzip2-devel-1.0.6-13.el7.x86_64 from rhui-REGION-rhel-server-releases
flac-libs-1.3.0-5.el7_1.x86_64 from rhui-REGION-rhel-server-releases
gcc-gfortran-4.8.5-4.el7.x86_64 from rhui-REGION-rhel-server-releases
gsm-1.0.13-11.el7.x86_64 from rhui-REGION-rhel-server-releases
1:java-1.7.0-openjdk-1.7.0.111-2.6.7.2.el7_2.x86_64 from rhui-REGION-rhel-server-releases
1:java-1.7.0-openjdk-devel-1.7.0.111-2.6.7.2.el7_2.x86_64 from rhui-REGION-rhel-server-releases
1:java-1.7.0-openjdk-headless-1.7.0.111-2.6.7.2.el7_2.x86_64 from rhui-REGION-rhel-server-releases
libasyncns-0.8-7.el7.x86_64 from rhui-REGION-rhel-server-releases
libicu-devel-50.1.2-15.el7.x86_64 from rhui-REGION-rhel-server-releases
2:libogg-1.3.0-7.el7.x86_64 from rhui-REGION-rhel-server-releases
libquadmath-devel-4.8.5-4.el7.x86_64 from rhui-REGION-rhel-server-releases
libsndfile-1.0.25-10.el7.x86_64 from rhui-REGION-rhel-server-releases
1:libvorbis-1.3.3-8.el7.x86_64 from rhui-REGION-rhel-server-releases
pcre-devel-8.32-15.el7_2.1.x86_64 from rhui-REGION-rhel-server-releases
pcsc-lite-libs-1.8.8-6.el7.x86_64 from rhui-REGION-rhel-server-releases
psmisc-22.20-9.el7.x86_64 from rhui-REGION-rhel-server-releases
pulseaudio-libs-6.0-7.el7.x86_64 from rhui-REGION-rhel-server-releases
1:tcl-devel-8.5.13-8.el7.x86_64 from rhui-REGION-rhel-server-releases
1:tk-devel-8.5.13-6.el7.x86_64 from rhui-REGION-rhel-server-releases
tre-devel-0.8.0-10.el7.x86_64 from epel
xz-devel-5.1.2-12alpha.el7.x86_64 from rhui-REGION-rhel-server-releases


It must be something simple but I can't figure it out.

Answer

Give this a try, I have a feeling it will solve some of your problems:

yum-config-manager --enable rhui-REGION-rhel-server-extras rhui-REGION-rhel-server-optional

I probably have this feeling because we figured it out together in chat :)

Apparently someone ran into this issue and solved it when installing a package called Kaltura:

https://thomas-barthelemy.github.io/2015/03/19/ec2-epel-rhel7/